{% for match in matches %}
    {% if forloop.counter0|divisibleby:3 %}
        <div class="tile is-ancestor">
    {% endif %}
<div class="tile is-parent is-4 has-text-centered">
    <div class="tile is-child">
        <div class="card">
            <div class="card-content">
                <p class="title">
                    <img src="{{ match.home.img_src }}"/>
                    {{ match.home.name }}
                    {% if match.is_frozen %}
                        : {{ match.home_goals|default_if_none:'N/A' }}
                    {% endif %}
                </p>
                <p class="title">
                    <img src="{{ match.away.img_src }}"/>
                    {{ match.away.name }}
                    {% if match.is_frozen %}
                     : {{ match.away_goals|default_if_none:'N/A' }}
                    {% endif %}
                </p>
                <p class="subtitle">
                    {{ match.time }}
                </p>
            </div>
            <footer class="card-footer">
                <p class="card-footer-item">
                        <span>
                            {% if match.is_frozen %}
                                <a href="{% url 'all_bets' match.pk %}">Show all predictions</a>
                            {% elif match.pk not in bets %}
                                <a href="{% url 'add_bet' match.pk %}">Make a prediction</a>
                            {% else %}
                                <a href="{% url 'add_bet' match.pk %}">Change prediction</a>
                            {% endif %}
                        </span>
                </p>
            </footer>
        </div>
    </div>
</div>
{% if forloop.counter|divisibleby:3 or forloop.last %}
    </div>
{% endif %}
{% endfor %}